/[gentoo-x86]/eclass/php5-sapi-r3.eclass
Gentoo

Contents of /eclass/php5-sapi-r3.eclass

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.28 - (show annotations) (download)
Mon Nov 30 04:19:36 2009 UTC (4 years, 9 months ago) by abcd
Branch: MAIN
CVS Tags: HEAD
Changes since 1.27: +1 -1 lines
FILE REMOVED
Remove eclasses that have been marked as deprecated for >=2 years; schedule other deprecated eclasses for removal

1 # Copyright 1999-2005 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/eclass/php5-sapi-r3.eclass,v 1.27 2008/01/06 19:30:24 swegener Exp $
4 #
5 # ########################################################################
6 #
7 # eclass/php5-sapi-r3.eclass
8 # Eclass for building different php5 SAPI instances
9 #
10 # USE THIS ECLASS FOR PHP 5.1.x
11 # USE php5-sapi-r2 FOR PHP 5.0.x
12 #
13 # Based on robbat2's work on the php4 sapi eclass
14 #
15 # Author(s) Stuart Herbert
16 # <stuart@gentoo.org>
17 #
18 # ========================================================================
19
20 # DEPRECATED!!!
21 # STOP USING THIS ECLASS, use php5_2-sapi eclass instead!
22
23 inherit php5_2-sapi
24
25 deprecation_warning() {
26 eerror "Please upgrade ${PF} to use php5_2-sapi eclass instead!"
27 }
28
29 php5-sapi-r3_check_awkward_uses() {
30 deprecation_warning
31 php5_2-sapi_check_use_flags
32 }
33
34 php5-sapi-r3_pkg_setup() {
35 deprecation_warning
36 php5_2-sapi_pkg_setup
37 }
38
39 php5-sapi-r3_src_unpack() {
40 deprecation_warning
41 php5_2-sapi_src_unpack
42 }
43
44 php5-sapi-r3_src_compile() {
45 deprecation_warning
46 php5_2-sapi_src_compile
47 }
48
49 php5-sapi-r3_src_install() {
50 deprecation_warning
51 php5_2-sapi_src_install
52 }
53
54 php5-sapi-r3_pkg_postinst() {
55 deprecation_warning
56 php5_2-sapi_pkg_postinst
57 }

  ViewVC Help
Powered by ViewVC 1.1.20